# Make an index of TeX macros with the files they are defined in.  The
# input is the *.srt files output by def.sh, each of which contain,
# one per line, TeX macro names defined in the corresponding .sty file.
# The sorted output of this program will have the macro name followed
# by a space-separated list of file basenames (minus the .sty).
# Usage:
#	nawk -f index.awk *.srt | sort -uf >INDEX
# [21-Feb-1990]
BEGIN {
     indentation = "                                        "; # 40 blanks
}

{
    if (filelist[$1] == "")	# initialize new entry
    {
	filelist[$1] = $1 indentation;
	filelist[$1] = substr(filelist[$1],1,40);
    }
    filelist[$1] = filelist[$1] substr(FILENAME,1,length(FILENAME)-4) " ";
}

END {
    for (e in filelist)
	print filelist[e];
}
